﻿Imports Microsoft.VisualBasic
Imports Syncfusion.Windows.Forms.Grid
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms

Namespace GDBG
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()

#Region "DataSource"
            Dim dataSource As New DataCollection()
			Dim rand As New Random()
			Dim r As Integer = rand.Next(100)
			For i As Integer = 0 To 19
				dataSource.Add(New Data(r.ToString(), "Category" & r.ToString(), "Desc" & r.ToString(), r.ToString() & "Data"))
				r = rand.Next(100)
			Next i
			Me.gridDataBoundGrid1.DataSource = dataSource
#End Region
            AddHandler gridDataBoundGrid1.DrawCellFrameAppearance, AddressOf GridDataBoundGrid1_DrawCellFrameAppearance
			'To hide the border 
			gridDataBoundGrid1.ShowCurrentCellBorderBehavior = GridShowCurrentCellBorder.HideAlways
		End Sub

		Private Sub GridDataBoundGrid1_DrawCellFrameAppearance(ByVal sender As Object, ByVal e As GridDrawCellBackgroundEventArgs)
			Dim rowIndex As Integer = e.Style.CellIdentity.RowIndex
			Dim colIndex As Integer = e.Style.CellIdentity.ColIndex
			If rowIndex > 0 AndAlso colIndex <> 3 Then
				Dim brush As Brush = Nothing
				Dim g As Graphics = e.Graphics
				brush = New System.Drawing.Drawing2D.LinearGradientBrush(e.TargetBounds, Color.FromArgb(209, 211, 212), Color.FromArgb(209, 211, 212), 0.0F)
				Dim rect As Rectangle = e.TargetBounds
				rect.Inflate(-2, -2)
				Dim rects() As Rectangle = { New Rectangle(rect.X, rect.Y, rect.Width, 1), New Rectangle(rect.X, rect.Y, 1, rect.Height), New Rectangle(rect.Right - 1, rect.Y, 1, rect.Height), New Rectangle(rect.X, rect.Bottom - 1, rect.Width, 1) }
				Dim blueBrush As New SolidBrush(Color.White)
				g.FillRectangle(blueBrush, rect)
				g.FillRectangles(brush, rects)
				e.Cancel = True
			End If
		End Sub
	End Class
End Namespace
